%global __soversion 1.1

Name:		biblesync
Version:	1.1.2
Release:	%mkrel 1
Summary:	A Cross-platform library for sharing Bible navigation
Group:		System/Libraries
License:	Public Domain
URL:		http://www.xiphos.org
Source0:	http://downloads.sourceforge.net/gnomesword/biblesync-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	%{_lib}uuid-devel
BuildRequires:	cmake

%description
BibleSync is a multicast protocol to support Bible software shared co-
navigation. It uses LAN multicast in either a personal/small team mutual
navigation motif or in a classroom environment where there are Speakers plus
the Audience. It provides a complete yet minimal public interface to support
mode setting, setup for packet reception, transmit on local navigation, and
handling of incoming packets.

This library is not specific to any particular Bible software framework,
completely agnostic as to structure of layers above BibleSync.

%package devel
Summary:	Development files for %{name}
Group:          Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{_lib}uuid-devel

%description devel
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -fPIC"
%cmake -DLIBDIR=%{_libdir} .. -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" -DBIBLESYNC_SOVERSION=%{__soversion}
%make 

%install
%makeinstall_std -C build

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc LICENSE
%{_libdir}/libbiblesync.so.%{__soversion}

%files devel
%doc AUTHORS COPYING ChangeLog README WIRESHARK
%{_includedir}/biblesync
%{_libdir}/pkgconfig/biblesync.pc
%{_libdir}/libbiblesync.so
%{_mandir}/man7/biblesync.7*

%changelog
* Mon Oct 08 2018 adrianomorselli <adrianomorselli> 1.1.2-1uplos2018
- imported for uplos 
